<html>
<head>
<title>OGRE: Ogre::Any::holder&lt; ValueType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Any.html">Any</a>::<a class="el" href="classOgre_1_1Any_1_1holder.html">holder</a></div>
<h1>Ogre::Any::holder&lt; ValueType &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::Any::holder" --><!-- doxytag: inherits="Ogre::Any::placeholder" --><code>#include &lt;<a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Any::holder&lt; ValueType &gt;:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1Any_1_1holder-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html#803b4e5fdf898de9072da835bedcd9d8">holder</a> (const ValueType &amp;value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
std::type_info &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html#56afb766401eb023cbefc760a7d9c984">getType</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html#92b6d40054444e8fce5e47f091f63c50">clone</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html#5877c5d406ad50d82277f0f85444f2e0">writeToStream</a> (std::ostream &amp;o)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">ValueType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html#70556b17407a80c23564be7c12c80c8b">held</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename ValueType&gt;<br>
 class Ogre::Any::holder&lt; ValueType &gt;</h3>


<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00139">139</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="803b4e5fdf898de9072da835bedcd9d8"></a><!-- doxytag: member="Ogre::Any::holder::holder" ref="803b4e5fdf898de9072da835bedcd9d8" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1Any_1_1holder.html">holder</a>           </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00143">143</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00155">Ogre::Any::holder&lt; ValueType &gt;::clone()</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="56afb766401eb023cbefc760a7d9c984"></a><!-- doxytag: member="Ogre::Any::holder::getType" ref="56afb766401eb023cbefc760a7d9c984" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; <a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder</a>&lt; ValueType &gt;::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#dbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00150">150</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="92b6d40054444e8fce5e47f091f63c50"></a><!-- doxytag: member="Ogre::Any::holder::clone" ref="92b6d40054444e8fce5e47f091f63c50" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder</a>&lt; ValueType &gt;::clone           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#d445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00155">155</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00168">Ogre::Any::holder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00143">Ogre::Any::holder&lt; ValueType &gt;::holder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5877c5d406ad50d82277f0f85444f2e0"></a><!-- doxytag: member="Ogre::Any::holder::writeToStream" ref="5877c5d406ad50d82277f0f85444f2e0" args="(std::ostream &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder</a>&lt; ValueType &gt;::writeToStream           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#c8109f388caa8709eab98200fd6aab5b">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00160">160</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00168">Ogre::Any::holder&lt; ValueType &gt;::held</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="70556b17407a80c23564be7c12c80c8b"></a><!-- doxytag: member="Ogre::Any::holder::held" ref="70556b17407a80c23564be7c12c80c8b" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType <a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1Any_1_1holder.html#70556b17407a80c23564be7c12c80c8b">held</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00168">168</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00155">Ogre::Any::holder&lt; ValueType &gt;::clone()</a>, and <a class="el" href="OgreAny_8h-source.html#l00160">Ogre::Any::holder&lt; ValueType &gt;::writeToStream()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h-source.html">OgreAny.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
